Subject: Re: [sip-overload] WGLC: draft-ietf-soc-overload-rate-control - Christer's comments

From: "NOEL, ERIC C (ERIC C)" <[email-masked]>
Date: Mon, 8 Jul 2013 19:51:51 -0400

Christer,

Thank you for your review and valuable comments.

Please see my response below:

Q1: General: The draft uses "client" and "SIP client" terminology (similar for "server"). I suggest to use consistent terminology.
[EN] Agreed, will make terminology consistent where ever it applies.

Q2: General: In some places the draft refers to draft-ietf-soc-overload-control-12 without the "[" and "]" characters around. I assume you have "hardcoded" the draft name, instead of using a reference?
[EN] Yes this is hard coded, will add "[" and "]" wherever needed.

Q3: My understanding is that the Abstract section shall not contain references, so please remove those.
[EN] Will remove references in abstract.

Q4: In Section 3.1, I suggest to replace:

"When in overload, the server uses [draft-ietf-soc-overload-control-
      12] via header oc parameters of SIP responses to inform the clients
      of its overload state and of the target SIP request rate."

...with:

"When in overload, the server uses the Via header field oc parameters [draft-ietf-soc-overload-control-12]
of SIP responses in order to inform the clients of its overload state and of the target SIP request rate."
[EN] Agreed

Q5: In Section 3.2, I suggest to change the section name from:

"3.2. Summary of via headers parameters for overload control"

...to:

"3.2. Via header field parameters for overload control"
[EN] Agreed

Q6: In Section 3.2, I think it would be good to indicate whether the Via header field parameters are used in SIP Requests, SIP Responses, or both. I know that you describe it later, but I think it would be good to have it already in the overview section.
[EN] Agreed

Q7: In Section 7 you say that there are no IANA considerations. But, don't you need to request IANA to register the new Via header field parameters?
[EN] Question resulted in several email exchange. I have deferred the issue to draft-ietf-soc-overload-control authors.

Please note I will address your comments in the next version of the draft at the end of the WGLC and after having addressed all comments.

Thanks,

Eric Noel
AT&T Labs, Inc.
Rethink Possible

Network Design and Performance Analysis
200 South Laurel Avenue, D5-3D19
Middletown, NJ 07748
P: 732.420.4174
[email-masked]<mailto:[email-masked]>

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Thursday, June 27, 2013 6:06 AM
To: [email-masked]
Cc: [email-masked]
Subject: [sip-overload] WGLC: draft-ietf-soc-overload-rate-control - Christer's comments

Hi,

I have read draft-ietf-soc-overload-rate-control-04.txt as part of the WGLC.

I don't have any technical issues, in general I think it's a will written document, and I think the draft can be passed to IESG for publication.

However, there are some editorial issues that you might want to fix at this point, because they might come up sooner or later anyway.

Q1: General: The draft uses "client" and "SIP client" terminology (similar for "server"). I suggest to use consistent terminology.

Q2: General: In some places the draft refers to draft-ietf-soc-overload-control-12 without the "[" and "]" characters around. I assume you have "hardcoded" the draft name, instead of using a reference?

Q3: My understanding is that the Abstract section shall not contain references, so please remove those.

Q4: In Section 3.1, I suggest to replace:

"When in overload, the server uses [draft-ietf-soc-overload-control-

      12] via header oc parameters of SIP responses to inform the clients

      of its overload state and of the target SIP request rate."

...with:

"When in overload, the server uses the Via header field oc parameters [draft-ietf-soc-overload-control-

of SIP responses in order to inform the clients of its overload state and of the target SIP request rate."

Q5: In Section 3.2, I suggest to change the section name from:

"3.2. Summary of via headers parameters for overload control"

...to:

"3.2. Via header field parameters for overload control"

Q6: In Section 3.2, I think it would be good to indicate whether the Via header field parameters are used in SIP Requests, SIP Responses, or both. I know that you describe it later, but I think it would be good to have it already in the overview section.

Q7: In Section 7 you say that there are no IANA considerations. But, don't you need to request IANA to register the new Via header field parameters?

Regards,

Christer